create database disk with log @INF-SE@;

{ TABLE wunsch row size = 68 number of columns = 4 index size = 102 }

create table wunsch 
  (
    nummer serial not null ,
    gruppe char(30),
    stitel char(30),
    erfasst date
  );

create index gruppe on wunsch (gruppe);
create index stitel on wunsch (stitel);
{ TABLE lpchild row size = 91 number of columns = 5 index size = 144 }

create table lpchild 
  (
    snum integer not null ,
    spos smallint not null ,
    stitel char(40) not null ,
    ssinger char(40) not null ,
    szeit char(5)
  );

create index ix104_1 on lpchild (snum);
create index ix104_2 on lpchild (stitel);
    
create index ix104_3 on lpchild (ssinger);
    
{ TABLE disk row size = 178 number of columns = 8 index size = 210 }

create table disk 
  (
    number serial not null ,
    title char(40),
    b_side char(40),
    singer char(40),
    pressed date,
    zeit char(5),
    zeitb char(5),
    lpt char(40),
    price decimal(10,2),
    mark char(1)
  );

create unique index number on disk (number);
    
create index title on disk (title);
create index singer on disk (singer);
create index lpt on disk (lpt);

{ TABLE lpmaster row size = 94 number of columns = 6 index size = 108 }

create table lpmaster 
  (
    lpnum serial not null ,
    lptitel char(60),
    lpkenn char(2) not null ,
    lpdate date,
    lpdiscid integer,
    lpcategory char(20),
    lpright char(60),
    lpprice decimal(10,2),
    lpmark char(1)
  );

create unique index ix103_1 on lpmaster (lpnum);
create index ix103_2 on lpmaster (lptitel);
    
create table lpzusatz
(
	lpnum integer not null,
	track smallint not null,
	frame integer not null
);

create index idxzusatz on lpzusatz (lpnum);

grant select on wunsch to "public";
grant update on wunsch to "public";
grant insert on wunsch to "public";
grant delete on wunsch to "public";
grant index on wunsch to "public";
grant select on lpchild to "public";
grant update on lpchild to "public";
grant insert on lpchild to "public";
grant delete on lpchild to "public";
grant index on lpchild to "public";
grant select on disk to "public";
grant update on disk to "public";
grant insert on disk to "public";
grant delete on disk to "public";
grant index on disk to "public";
grant select on lpmaster to "public";
grant update on lpmaster to "public";
grant insert on lpmaster to "public";
grant delete on lpmaster to "public";
grant index on lpmaster to "public";
grant select on lpzusatz to "public";
grant update on lpzusatz to "public";
grant insert on lpzusatz to "public";
grant delete on lpzusatz to "public";
grant index on lpzusatz to "public";

